package cn.pluss.platform.merchantDevice.impl;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import cn.pluss.platform.entity.MerchantDevice;
import cn.pluss.platform.vo.DeviceVO;
import cn.pluss.platform.mapper.MerchantDeviceMapper;
import cn.pluss.platform.merchantDevice.MerchantDeviceService;

@Service("merchantDeviceService")
public class MerchantDeviceServiceImpl extends ServiceImpl<MerchantDeviceMapper, MerchantDevice> implements MerchantDeviceService {

    @Override
    public List<MerchantDevice> queryMerchantDevicePage(Map map) {
        return baseMapper.queryMerchantDevicePage(map);
    }

    @Override
    public Integer queryMerchantDevicePageCount(Map map) {
        return baseMapper.queryMerchantDevicePageCount(map);
    }

    @Override
    public List<DeviceVO> showMerchantDevicePage(Map<String, Object> map) {
        return baseMapper.showMerchantDevicePage(map);
    }

    @Override
    public Integer showMerchantDevicePageCount(Map<String, Object> map) {
        return baseMapper.showMerchantDevicePageCount(map);
    }
}

